{% apply spaceless %}
    {% set display_name = '' %}
    {% if alt_name is not defined or not alt_name %}
        {% if user.name == 'Der Rabe' %}{% set display_name = 'Der Rabe'|trans({},'global') %}
        {% elseif user.name == 'Animateur-Team' %}{% set display_name = 'Animateur-Team'|trans({},'global') %}
        {% else %}{% set display_name = (app.user and app.user.activeCitizen and user.citizenFor(app.user.activeCitizen.town) and ( globalSpace is not defined or not globalSpace )) ? user.citizenFor(app.user.activeCitizen.town).name : user.name %}{% endif %}
    {% else %}
        {% set display_name = alt_name %}
    {% endif %}
    {# @var \App\Entity\User user #}
    {% if plain is not defined or not plain %}
        {% set default_classes = ['username'] %}
        {% if app.user and (user == app.user or app.user.friends.contains(user)) %}{% set default_classes = default_classes|merge(['is-friend']) %}{% endif %}
        {% if additional_classes is defined %}{% set default_classes = default_classes|merge(additional_classes|filter(v=>v)) %}{% endif %}

        {% set default_tag = 'span' %}
        {% if tag is defined and tag %}
            {% set default_tag = tag %}
        {% endif %}
        <{{ default_tag }} class="{{ default_classes|join(' ') }}" x-user-id="{{ user.id }}">{{ display_name }}</{{ default_tag }}>
    {% else %}
        {{ display_name }}
    {% endif %}
{% endapply %}